FSC190

LINDA 2.9.4 Importing Aircraft Error

Recommended Posts

Hi Andrew,

just tried to import a new module. Extracted the download to /Download/Linda and select in LINDA Maintenance the folder ..\Download\Linda\A2A_C172_v1_03\A2A_C172_v1_03

Then I get a error message 20.0 is not a valid floating point value

Also I think, it is much easier to extract direct to the LINDA folder, overwriting the included Linda folders, as doing first a temporary unzip.

It would be much easier if we could just select the downloaded ZIP

 

 

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Hi Roland

Thank you for the report. Can you try renaming the module folder to \A2A_C172_v1_3 and importing again? I have not coded for the leading zero (i.e. _03).

Share this post


Link to post
Share on other sites

No luck Andrew,

just the same error.

I'l tried a different module (Dash) with the same result.

Share this post


Link to post
Share on other sites

I have found the problem. It lies inside the module readme.txt file. LINDA 2.9.4 is expecting a single decimal version number (ie. 1.3) and fails if a multi-point version number (ie. 1.0.3). If you edit the readme.txt file and change 1.0.3 to 1.3 then it will import correctly.

I am testing a fix with 2.9.5 now.

Share this post


Link to post
Share on other sites

Hi Scott,

unfortunately it is not fixed in 2.9.5

Get the same error with the A2A Module, even when I edit the readme and change 1.0.3 to 1.3

 

Share this post


Link to post
Share on other sites

Please send me a screen shot of maintenance page and error message. 

Share this post


Link to post
Share on other sites

I have retested on my system and I do not get your error message. Before I start changing the code again, please do the following for me:

  • Check the build number of 2.9.5 have (see About page for 2.9.5.543).
  • Copy A172 module to desktop and try again.
  • Paste contents of aircraft readme.txt file here (\linda\aircrafts\A2A Cessna 172R).

Share this post


Link to post
Share on other sites

It is the "language and region" setting in system, Andrew,

I changed to English layout regarding decimal point and it works.

 

Share this post


Link to post
Share on other sites
28 minutes ago, FSC190 said:

It is the "language and region" setting in system, Andrew,

I changed to English layout regarding decimal point and it works.

 

Understood. Why did I not think about differences in the representation of the decimal point? You use commas and the rest of us use fullstops!

Share this post


Link to post
Share on other sites
56 minutes ago, ScotFlieger said:

Understood. Why did I not think about differences in the representation of the decimal point? You use commas and the rest of us use fullstops!

ehhh, it's not only Germany using comma :-)

500px-DecimalSeparator.svg.png

         Full stop/Period
         Comma
         Both, official or common or Apostrophe (')
         Momayyez 
         Data unavailable

If you take a closer look, in Europe GB is the only country using point, maybe that's the true reason for Brexit :-)))

 

  • Upvote 1

Share this post


Link to post
Share on other sites

Thank you for the bug report and beta testing. New version 2.9.6 (build 546) available under Downloads.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now